class UsersController < ApplicationController
  def create
    user = User.create!(inheritance_code: SecureRandom.uuid, role: 'guest')
    render json: { code: user.inheritance_code,
                   user: user.slice(:id, :name, :inheritance_code, :role) }
  end

  def verify
    user = User.find_by(inheritance_code: params[:code])
    render json: if user
                   { valid: true, user: user.slice(:id, :name, :inheritance_code, :role) }
                 else
                   { valid: false }
                 end
  end

  def me
    user = User.find_by(inheritance_code: params[:code])
    render(if user
             { json: user.slice(:id, :name, :inheritance_code, :role) }
           else
             { json: { error: 'not found' }, status: :not_found }
           end)
  end
end
