import { defineConfig } from 'vite'
import react from '@vitejs/plugin-react'
import path from 'path'

// https://vite.dev/config/
export default defineConfig({
  plugins:  [react()],
  resolve:  { alias: { '@': path.resolve (__dirname, './src') } },
  server:   { host:         true,
              port:         5173,
              strictPort:   true,
              allowedHosts: ['hub.nizika.monster', 'localhost'],
              proxy:        { '/api': { target:       'http://localhost:3002',
                                        changeOrigin: true,
                                        secure:       false } } }
})
